# Makefile for client test program - PKTR rpc calls
# Version 20.03.95
# Insert the defs for your machine
# SUN:    CC = CC         CCL = CC         LM = 
# SGI,OSF CC = cc         CCL = cc         LM = -lm
# LINUX   CC = cc         CCL = cc         LM = -lm
# ULT     CC = gcc -c -g  CCL = gcc -g     LM = 
# HP:     CC = cc -Aa     CCL = cc         LM = -lM
# SOL 2.6 CC = CC         CCL = CC         LM = -lsocket -lnsl

INCL = /usr/include/tine
LIBS = /usr/lib
HDRS = ${INCL}/project.def \
	${INCL}/prolog.h \
	${INCL}/srvcore.h \
	${INCL}/errors.h \
	${INCL}/tinetype.h \
	${INCL}/tinedefs.h \
	${INCL}/almlib.h

CPP = g++ -I${INCL}
CC = cc -c -g -I${INCL}
CCL = cc -g
LM = -lm -lrt

getglobals: getglobals.o 
	${CCL} -o getglobals getglobals.o ${LIBS}/libtine.a ${LM}
	chmod a+s getglobals

getglobals.o: getglobals.c ${HDRS}
	${CC} getglobals.c

clean:
	rm *.o
