# Makefile for buffered client/server library
# Insert the defs for your machine
# SUN:    CC = CC         CCL = CC         LM = 
# SGI     CC = cc         CCL = cc         LM = -lm
# OSF     CC = cc         CCL = cc         LM = -lm
# LINUX   CC = cc         CCL = cc         LM = -lm
# ULT     CC = gcc -c -g  CCL = gcc -g     LM = 
# HP:     CC = cc -Aa     CCL = cc         LM = -lM
# SOL 2.4 CC = CC         CCL = CC         LM = -lsocket -lnsl

HDRS = project.def \
	srvcore.h \
	globals.h \
	dbtools.h \
	toolkit.h \
	errors.h \
	tinetype.h \
	tinedefs.h \
	listener.h \
	eztine.h

CPP = g++
CC = cc -c
CCL = cc
LM = -lm

libeztine.a: ezclient.o listener.o
	ar cr $@ ezclient.o listener.o

ezclient.o: ezclient.c ${HDRS}
	${CC} ezclient.c

listener.o: listener.c ${HDRS}
	${CC} listener.c

clean:
	rm -f ezclient.o listener.o
