# Makefile for attaching to tine server running in background
# Insert the defs for your machine
# SUN:    CC = CC -c      CCL = CC         LM = 
# SGI,OSF CC = cc -c      CCL = cc         LM = -lm
# ULT     CC = gcc -c -g  CCL = gcc -g     LM = 
# HP:     CC = cc -c -Aa  CCL = cc         LM = -lM
# SOL 2.4 CC = CC -c      CCL = CC         LM = -lsocket -lnsl
# LINUX   CC = cc -c      CCL = CC         LM = 

CC = cc -c
CCL = cc
LM = -lm -lsocket -lnsl -lposix4

attachfec: sndcmd.o cmdcln.o 
	${CCL} -o attachfec sndcmd.o cmdcln.o libtine.a ${LM}

sndcmd.o: sndcmd.c
	${CC} sndcmd.c

cmdcln.o: cmdcln.c project.def
	${CC} cmdcln.c 

clean:
	rm -f cmdcln.o sndcmd.o 
