#include <stdio.h>
#include <stddef.h>
#include <stdlib.h>
#include "tine.h"

void PostSystemInit(void);
void PreSystemInit(void);

int main(int argc, char *argv[])
{
  int cc;
  switch (argc)                           /* initial debug level */
  {           /* on UNIX or DOS stations: set debug = 1 (2,or 3) */
    case 2:              /* will dynamically set the debug level */
      tineDebug = atoi(argv[1]);
      break;
    default:
      tineDebug = 0;                              /* default level */
  }

  printf("Server running (debug level %d)\n",NGdebug);

  /* init server: */
  /* call any non-default resource initialization before SystemInit(): */
  PreSystemInit();

  if ((cc=SystemInit(TRUE)) != 0) { printf("init error: %s\n",erlst[cc]); exit(1); }

  /* call FEC specific initialization: */
  PostSystemInit();

  for(;;)
  {
    SystemCycle(TRUE);
  }
  return 0;
}
