#include <stdio.h>
#include <stddef.h>
#include <stdlib.h>
#include "tine.h"

extern int nofeclog;
extern int ListenForGlobals;
extern int ListenForMCasts;
int tinfo(char *dev,char *prp);
int ReportError(int cc);
char *usageTxt[] = {
  "\nRetreives information about the specified device server and property.\n",
  "Usage : tinfo <device name> <property>\n",
  "        e.g. tinfo /HERA/HEPBPM ORBIT.X",
  "\nSee also: 'tservers', 'tproplist', 'tdevlist' for retrieving information",
};

#define nUsageLines (int)(sizeof(usageTxt)/sizeof(char *))

int main(int argc, char *argv[])
{
  int i;
  if (argc < 3) 
  {
    for (i=0; i<nUsageLines; i++)
    {
      printf("%s\n",usageTxt[i]);
    }
    printf("\n");
    exit(1);
  }
  MaxNumConnections = 10;
  gListenForGlobals = gListenForMCasts = FALSE;
  MaxPollingRate = MinPollingRate = 50;
  nofeclog = TRUE;
  SetUserType("CMDLINE");
  printf("\n");
  return ReportError(tinfo(argv[1], argv[2]));
}
