# Makefile for tine client utilities
# Insert the proper lib and include locations for your installation

INCL = /usr/include/tine
INCLP = /usr/include/python3.4
LIBS = /usr/lib

CC = gcc -g -fPIC -Wall -I${INCL} -I${INCLP} -c
CCL = cc -shared -o

PyTine.so: pytine.o
	${CCL} $@ pytine.o -L. -ltinemt -ltbufsrv -lrt

pytine.o: pytine.cpp 
	${CC} pytine.cpp 

clean:
	rm -f *.o
