#!/bin/bash
for anaconda_dir in /opt/anaconda* ; do
    # make sure this is really an anaconda python
    if [ -f ${anaconda_dir}/bin/conda ] ; then
        anaconda_version=`basename ${anaconda_dir}`
        for python_subdir in `ls -d /opt/${anaconda_version}/include/python*` ; do
            # make sure this is really a python include dir
            if [ -f ${python_subdir}/Python.h ]; then
                python_version=`basename ${python_subdir}`
                DESTINATION="python/${python_version}"
                export DESTINATION
                export ANACONDA_INCLUDE=${python_subdir}
                make -f PyTine-Anaconda.mak clean
                make -f PyTine-Anaconda.mak
                make -f PyTine-Anaconda.mak install
            fi
        done
    fi
done

