# Makefile for buffered client/server library
# Insert the defs for your machine
# SUN:    CC = CC         CCL = CC         LM = 
# SGI     CC = cc         CCL = cc         LM = -lm
# OSF     CC = cc         CCL = cc         LM = -lm
# LINUX   CC = cc         CCL = cc         LM = -lm
# ULT     CC = gcc -c -g  CCL = gcc -g     LM = 
# HP:     CC = cc -Aa     CCL = cc         LM = -lM
# SOL 2.4 CC = CC         CCL = CC         LM = -lsocket -lnsl

HDRS = project.def \
	srvcore.h \
	globals.h \
	dbtools.h \
	toolkit.h \
	errors.h \
	tinetype.h \
	tinedefs.h \
	listener.h \
	eztine.h

CPP = g++
CC = cc -c -DMULTITHREADED -D_USRDLL
CCL = cc -shared -o
LM = -lm

libeztine.so: ezclient.o listener.o tcycler.o
	${CCL} $@ ezclient.o listener.o tcycler.o libtinemt.so -lpthread

ezclient.o: ezclient.c ${HDRS}
	${CC} ezclient.c

listener.o: listener.c ${HDRS}
	${CC} listener.c

tcylcer.o: tcylcer.c ${HDRS}
	${CC} tcylcer.c

clean:
	rm -f ezclient.o listener.o tcylcer.o
