# Makefile for tine buffered client/server shared library
# Version 20.03.95
# Insert the defs for your machine
# SUN:    CC = CC         CCL = CC         LM = 
# SGI     CC = cc         CCL = cc         LM = -lm
# OSF     CC = cc         CCL = cc         LM = -lm
# LINUX   CC = cc         CCL = cc         LM = -lm
# ULT     CC = gcc -c -g  CCL = gcc -g     LM = 
# HP:     CC = cc -Aa     CCL = cc         LM = -lM
# SOL 2.4 CC = CC         CCL = CC         LM = -lsocket -lnsl

HDRS = project.def \
	srvcore.h \
	hstlib.h \
	globals.h \
	dbtools.h \
	toolkit.h \
	errors.h \
	tinetype.h \
	tinedefs.h \
	tbufsrv.h \
	listener.h 

CPP = g++
CC = cc -c -DMULTITHREADED -D_USRDLL -DTINE_START_CYCLER=1
CCL = cc -shared -o
LM = -lm

libtbufsrv.so: tbufsrv.o listener.o historyUtils.o
	${CCL} $@ tbufsrv.o listener.o historyUtils.o

tbufsrv.o: tbufsrv.c ${HDRS}
	${CC} tbufsrv.c

listener.o: listener.c ${HDRS}
	${CC} listener.c

historyUtils.o: historyUtils.c ${HDRS}
	${CC} historyUtils.c

clean:
	rm -f *.o
