#ifndef REPEATER_H_
#define REPEATER_H_

#if defined(__cplusplus) && !defined(FORCE_CPP)
extern "C" {
#endif

#define RPTR_LCLCTX "LOCALHOST"
#define RPTR_LCLFEC "__LCLRPTRFEC__"
#define RPTR_LCLSRV "__LCLRPTRSRV__"
#define RPTR_DEFAULT_PORT 101
#define RPTR_MAX_NDEVICES 5000
#define RPTR_POLLRATE 1000
#define RPTR_EQM "RPTEQM"

extern int rpPollingRate;
extern int rpPortOffset;
extern int gTruncateDeviceNames;
extern int hasExclusiveRead;
extern int ignoreListeningErrors;
extern int isSyncRepeater;
extern int isLocalRepeater;
extern char thisFec[FEC_NAME_SIZE+4];
extern char thisContext[CONTEXT_NAME_SIZE+4];

int rpPreSystemInit(char *tgtContext,char *tgtServer,char *myContext,char *myServer);
int rpPostSystemInit(char *tgtContext,char *tgtServer,char *myContext,char *myServer);

#if defined(__cplusplus) && !defined(FORCE_CPP)
}
#endif

#endif /* REPEATER_H_ */
