#include <stdio.h>
#include <stddef.h>
#include <stdlib.h>
#include "tine.h"

extern int nofeclog;
extern int ListenForGlobals;
extern int ListenForMCasts;
extern int defaultClientTimeout;
extern int displayErrorMessages;
int tsendstring(char *dev,char *prp,char *str);
int ReportError(int cc);

int main(int argc, char *argv[])
{
  int i, siz = 0, fmt = CF_DEFAULT;
  char *c, scratch[256];
  if (argc < 4)
  {
dumpUsage:
    printf("Usage: tsendstring <device name> <property> <string> [/e=<TRUE,FALSE> /d=<debug>]\n");
    printf("      use /e=TRUE or FALSE to display error messages when the call is not successfull (default=TRUE)\n");
    printf("      e.g. tsendstring /HERA.DAEMON/HERACON01 SETCONSMODE inj\n");
    exit(1);
  }
  for (i = 4; i<argc; i++)
  { /* options given */
    c = argv[i];
    if (*c++ != '/') break;
    switch (tolower(*c))
    {
      case 'e':
        if ((c = strchr(c, '=')) != NULL)
        {
          c++;
          strncpy(scratch, c, 32);
          displayErrorMessages = strtobool(scratch);
        }
        continue;
      case 'd':
        if ((c = strchr(c, '=')) != NULL)
        {
          c++;
          strncpy(scratch, c, 32);
          tineDebug = atoi(scratch);
          foregroundTTY = TRUE;
        }
        continue;
      case '?': goto dumpUsage;
      default:
        continue;
    }
  }

  MaxNumConnections = 10;
  gListenForGlobals = gListenForMCasts = FALSE;
  MaxPollingRate = MinPollingRate = 50;
  defaultClientTimeout = 50;
  nofeclog = TRUE;
  SetUserType("CMDLINE");
  return ReportError(tsendstring(argv[1],argv[2],argv[3]));
}
